## com.bbn.openmap.omGraphics.grid
Class SinkGenerator

    java.lang.Object
      com.bbn.openmap.omGraphics.grid.SinkGenerator

All Implemented Interfaces:
  OMGridGenerator

public class SinkGenerator
extends java.lang.Object
implements OMGridGenerator

Constructor Summary
`SinkGenerator()`

Method Summary
`OMGraphic` `generate(OMGrid grid, Projection proj)`
`boolean` `needGenerateToRender()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SinkGenerator

    public SinkGenerator()

Method Detail

### generate

    public OMGraphic generate(OMGrid grid,
                              Projection proj)

  Specified by:
    `generate` in interface `OMGridGenerator`

### needGenerateToRender

    public boolean needGenerateToRender()

  Specified by:
    `needGenerateToRender` in interface `OMGridGenerator`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details